> For the complete documentation index, see [llms.txt](https://docs.ladybug.tools/hb-radiance-primer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ladybug.tools/hb-radiance-primer/components/2_lightsources/wea_from_zhang-huang.md).

# Wea from Zhang-Huang

![](/files/-MihqhOP_-wHf5tucZcm)

![](/files/-MihqacqNLJ1L_G5zWwp) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-radiance/blob/master/honeybee_grasshopper_radiance/src//HB%20Wea%20from%20Zhang-Huang.py)

Construct a WEA from hourly data collections and the Zhang-Huang Solar Model.

## Inputs

* **location \[Required]**

  A Ladybug Location object.&#x20;
* **cloud\_cover \[Required]**

  Hourly DataCollection with the fraction of total sky cover (tenths of coverage). (eg. 1 is 1/10 covered. 10 is total coverage)&#x20;
* **rel\_humidity \[Required]**

  Hourly DataCollection with relative humidity \[%].&#x20;
* **dry\_bulb\_temp \[Required]**

  Hourly DataCollection with dry bulb temperature \[C].&#x20;
* **wind\_speed \[Required]**

  Hourly DataCollection with wind speed \[m/s].&#x20;
* **atmos\_pressure**

  Hourly DataCollection with amtospheric pressure \[Pa]. If no value is connected here, pressure at sea level will be assumed (101,325 Pa).&#x20;

## Outputs

* **wea**

  A wea object from the input data collections and the Zhang-Huang solar model.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ladybug.tools/hb-radiance-primer/components/2_lightsources/wea_from_zhang-huang.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
